% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/l_export.R
\name{l_export}
\alias{l_export}
\title{Export a loon plot as an image}
\usage{
l_export(widget, filename, width, height)
}
\arguments{
\item{widget}{widget path as a string or as an object handle}

\item{filename}{path of output file}

\item{width}{image width in pixels}

\item{height}{image height in pixels}
}
\value{
The file path of the exported image.
}
\description{
The supported image formats depend on your system and Tcl/Tk configuration.
Export to PostScript (`.ps`, `.eps`) always works. Export to PDF (`.pdf`) works if
the command-line tool `epstopdf` is installed. Export to bitmap formats such as
`.png`, `.jpg`, `.bmp`, `.tiff`, or `.gif` may work if supported by your Tcl/Tk
environment — this often, but not always, requires the Img Tcl extension.

If a selected format fails, use `.ps` or consider capturing a screenshot.
}
\details{
Pressing `Ctrl-P` in a loon plot window also opens an interactive export dialog.
}
\seealso{
\code{\link{l_export_valid_formats}}, \code{\link{plot.loon}}
}
